<!-- ULTRAGALLERY 1.0

An open source project made by Dominik Wetzstein and Marc Fehr.
Version: 1.0 released on 19.04.2013

-->

<!DOCTYPE>
<html xmlns="http://www.w3.org/1999/xhtml">

    <head>

<? 

// GALLERY SETTINGS

$opacity="0.6"; 					// Deckkraft der Bilder wenn nicht Hover
$font_size="1.2em";					// Schriftgrösse der Bildbeschriftung. Standard: 1.2em (je nach Textlänge kann dies angepasst werden)
$backgroundcolor="#222"; 			// Hintergrundfarbe der gesamten Galerie
$imagetype=".jpg"; 					// Format der Bilder (alle Bilder müssen das selbe Format haben!) für PNG ".png", für JPG ".jpg" eintragen
$wrapped="TRUE";					// Wrapped Layout (die Galerie kann auf jeder Seite mit einem Einzug angepasst werden.) TRUE=Fullscreen, FALSE=Wrapped-Design
	$wrapped_padding_left="10%";		// *
	$wrapped_padding_right="10%";		// Diese Einstellungen sind nur gültig wenn die Variable $wrapped auf "TRUE" gesetzt wird!
	$wrapped_padding_top="0%";			// (Einzüge von jeder Seite des Browser-Fensters. Galerie wird nicht im "Vollbild-Modus" angezeigt)
	$wrapped_padding_bottom="10%";  	// *
$gallery_title="TRUE";								// "TRUE" = Titel anzeigen, "FALSE" = keinen Titel anzeigen
$gallery_title_text="Holidays in Timbuktu";	// Hier wird der Titel der Galerie definiert
$gallery_title_color="#ccc";
?>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link href='http://fonts.googleapis.com/css?family=Economica:400,700' rel='stylesheet' type='text/css'>

<title>ULTRAGALLERY</title>

<style type="text/css">

* {
	padding: 	0;
	margin: 	0;
	border: 	0;
}
body {
	max-width: 			2400px;
	background-color: 	<? echo $backgroundcolor; ?>
}
.wrapper-small {
	float: 		left;
	display: 	block;
	width: 		25%;
	height: 	0;
	padding-bottom: 	14%;
	opacity: 			<? echo $opacity; ?>;
	background-color: 	<? echo $backgroundcolor; ?>;
	overflow: 	hidden;
	-moz-transition: 	all 0.5s ease-in;
	-webkit-transition: all 0.5s ease-in;
	-o-transition: 		all 0.5 ease-in;
	text-decoration:	none;
	position:			relative;
}
.wrapper-small:hover { 
	position: 	relative;
	opacity: 	1; 
	z-index: 	2;
	-moz-transform: 	scale(1.15, 1.15);
	-webkit-transform: 	scale(1.15, 1.15);
	background-color: 	<? echo $backgroundcolor; ?>
}
.wrapper-large {
	position: 	relative;
	width: 		100%;
	-moz-transition: 	all 0.5s linear;
	-webkit-transition: all 0.5s linear;
	-o-transition: 		all 0.5s linear;
	display:			inline-block;
	*display:			inline;
	background-color: 	<? echo $backgroundcolor; ?>;
	z-index: 	2;
}
#text {
	left: 		5px;
	bottom: 	5px;
	background-color: 	<? echo $backgroundcolor; ?>;
	color: 		#ccc;
	text-align: left;
	font-size: 			<? echo $font_size; ?>;
	font-family: 		'Economica', sans-serif;
	opacity: 		1;
	z-index: 		3;
	position: 		absolute;
	padding-top: 	3px;
	padding-bottom: 3px;
	padding-left: 	6px;
	padding-right: 	7px;
}
.wrapper-small .overlay {
	opacity: 		0;
	position: 		absolute;
	bottom: 		0px;
	left: 			0px;
	right: 			0px;
	padding: 		2px 0px;
    color: 				<? echo $backgroundcolor; ?>;
    background: 		<? echo $backgroundcolor; ?>;
	text-decoration: 	none;
	text-align: 	center;
	-webkit-transition: 	opacity 500ms;
	-moz-transition: 		opacity 500ms;
	-o-transition: 			opacity 500ms;
	transition: 			opacity 500ms;
	height: 		100%;
	width: 			100%;
	pointer-events: none;
	}
	
.wrapper-small:hover .overlay{
  opacity: 		0.8;
}

.layout_wrapped {
	padding-left: 		<? echo $wrapped_padding_left; ?>;
	padding-right:		<? echo $wrapped_padding_right; ?>;
	padding-top: 		<? echo $wrapped_padding_top; ?>;
	padding-bottom: 	<? echo $wrapped_padding_bottom; ?>;
}

.gallery_title {
	font-size: 			5rem;
	font-family: 		'Economica', sans-serif;
	width:				100%;
	color: 				#ccc;
	padding-top:		5%;
	font-weight: 		bolder;
	display:			inline;
}

.gallery_title p {
	text-align: 		center;
	color:				<? echo $gallery_title_color; ?>;
}

/* Verschiedene Einstellungen (Anzahl Spalten der Bilder) je nach Auflösung des Bildschirms */

@media only screen 
and (min-width: 0px) {
	.wrapper-small {
		width: 			100%;
		height: 		0;
		padding-bottom: 56.25%;
	}
	.gallery_title {
	font-size: 			3rem;
}
}

@media only screen 
and (min-width: 600px) {
	.wrapper-small {
		width: 			50%;
		height: 		0;
		padding-bottom: 28.125%;
	}
	.gallery_title {
	font-size: 			4rem;
}
}

@media only screen 
and (min-width: 800px) {
	.wrapper-small {
		width: 			33.333333%;
		height: 		0;
		padding-bottom: 18.799998%;
	}
	.gallery_title {
	font-size: 			4rem;
}
}

@media only screen 
and (min-width: 1000px) {
	.wrapper-small {
		width: 			25%;
		height: 		0;
		padding-bottom: 14.0625%;
	}
	.gallery_title {
	font-size: 			4rem;
}
}

@media only screen 
and (min-width: 1200px) {
	.wrapper-small {
		width: 			20%;
		height: 		0;
		padding-bottom: 11.25%;
	}
	.gallery_title {
	font-size: 			5em;
}
}

</style>

    </head>

    <body>

<?

if($gallery_title=="TRUE") {
	echo "<div class='gallery_title'><p>$gallery_title_text</p></div>";
}
else {
}  


if($wrapped=="TRUE") {
	echo "<div class='layout_wrapped'>";
}
else {
}

// Hier werden die Bilder aus dem Ordner ./bilder/ in ein PHP-Array geladen

$ordner="./_bilder/";
$verz=opendir ('./_bilder/');  
while ($file = readdir ($verz)) 
{  
  if($file{0}!=".") 
  { 
    $endung = strchr($file, '.'); 
    $link = substr($file, 0, -4); 
	
	$position_des_letzten_punktes = strrpos($file, '.'); 
	$bildtext = substr($file, 0, position_des_letzten_punktes - 4);
	$bildtext_replace = $bildtext;
	$bildtext_replace = str_replace("_", "<br></b>", $bildtext_replace);
	$bildtext_replace = str_replace("-", "&nbsp;", $bildtext_replace);

    if($file != "." && $file != ".." && $file != "index.php" && $file != "") 
    { 
      if($endung!=$imagetype) // Alle Dateien, die nicht dem angegebenen Dateityp entsprechen, werden ignoriert (Standard: .jpg)
      {        
      } 
      else 
      { 	// Die Bilder werden ausgegeben, zusätzlich noch der Bildtext (Dateiname des Bildes) 
		 echo "<div class='wrapper-small' id='$file'>
			 <img width=\"100%\" src=$ordner$file alt=\"$link\" onClick=\"resize('$file');\">
			 <span class='overlay'><div id='text'><b>$bildtext_replace</div></span>
		 </div>";
      } 
    } 
  } 
}  

if($wrapped=="TRUE") {
	echo "</div>";
} else {
}

?>

    </body>
 
<script type="text/javascript">
function resize(a) {
	var groesse = document.getElementById(a).className;
		if (groesse=="wrapper-small") {
		document.getElementById(a).className="wrapper-large";
	}
		else if (groesse=="wrapper-large") {
		document.getElementById(a).className="wrapper-small";
	}	
}
</script>

    </html>